/// <reference types="react" />
import { TableProps } from './types';
export declare const EXPANDABLE_ID = "expandable-id";
export declare const SELECTABLE_ID = "selectable-id";
export declare const DRAGGABLE_ID = "draggable-id";
export declare const isRowActions: (columnId: string) => boolean;
declare const Table: <RowData extends object = any, Filter = never, GlobalFilterProps extends object = never>({ rowStyle, data, columns, disableHeaders, isLoading, hasError, isEmpty, initialSortBy, initialSelectedRowIds, renderEmpty: Empty, renderError: Error, numberOfLoadingRows, expandable, onlyOneExpanding, isRowExpandable, isRowSelectable, onSortBy, onRowClick, onRowSelect, className, pageSize, GlobalFilter, globalFilterProps, filterFunction, bordered, onRowMove, disableRowSelect, showSelectAllInHeader, selectedCountKey, disableSelectAll, autoResetExpanded, autoResetPage, selectAllKey, clearAllKey, allSelectedOnPageKey, allSelectedKey, wrapperStyle, getRowId, scrollHorizontally, ...wrapperProps }: TableProps<RowData, Filter, GlobalFilterProps>) => JSX.Element;
export default Table;
